/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* This is an example of the function wcscat(wchar_t*, const wchar_t*).  This
   appends a string with another wide character string.
*/
#include <wchar.h>
#include <stdlib.h>

int main() { 
    wchar_t str1[100];
    wchar_t str2[100];        
    char *line;
    int retval, len;
    line = "Hello";
    len = strlen(line);

    mbstowcs(str1, line, len );   
    mbstowcs(str2, line, len);   
    fputs("String1: ", stdout);
    fputws(str1, stdout);
    fputs("\nString2: ", stdout);
    fputws(str2, stdout);
    wcscat(str1, str2);
    fputs("\nAfter wide character appending: ", stdout);
    fputws(str1, stdout);
    fputs("\n", stdout);
}

